/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package com.contabilidad.FacadeConta;

import com.contabilidad.EntConta.PagoTemporales;
import java.util.List;
import javax.ejb.Stateless;
import javax.persistence.EntityManager;
import javax.persistence.PersistenceContext;
import javax.persistence.Query;

/**
 *
 * @author obper
 */
@Stateless
public class PagoTemporalesFacade extends AbstractFacade<PagoTemporales> implements PagoTemporalesFacadeLocal {

    @PersistenceContext(unitName = "contabilidad")
    private EntityManager em;

    @Override
    protected EntityManager getEntityManager() {
        return em;
    }

    public PagoTemporalesFacade() {
        super(PagoTemporales.class);
    }

    @Override
    public void elimiminarPago(String idPAgo) {
        
        Query q = em.createNamedQuery("PagoTemporales.EliminaPago");
        q.setParameter("idDePago", idPAgo);
        q.executeUpdate();
        
    }

    @Override
    public List<PagoTemporales> horasPorSucursal(String sucursal) {
        Query q = em.createNamedQuery("PagoTemporales.findBySucursal");
        q.setParameter("sucursal", sucursal);
        return q.getResultList();
    }
    
    
    
    
    
}
